# ip-location-db [![NPM version](https://badge.fury.io/js/ip-location-db.svg)](https://badge.fury.io/js/ip-location-db)

This project provides ip to location database in csv. Currently, ip to country is supported, only.<br>
CSV Format: `ip_range_start, ip_range_end, country_code`<br>
`country_code` is the two-letter code defined in [ISO 3166-1 alpha-2](https://wikipedia.org/wiki/ISO_3166-1_alpha-2), to represent countries, dependent territories and special areas.



## IP-ASN database [Update: daily, License: [Public Domain](https://creativecommons.org/publicdomain/mark/1.0/)]

Created by merging 5 RIP ([afrinic](https://afrinic.net), [apnic](https://www.apnic.net), [arin](https://www.arin.net), [lacnic](https://www.lacnic.net), [ripe ncc](https://www.ripe.net)) provided IP-ASN database.

- [asn-ipv4-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/asn-ipv4-country.csv)
- [asn-ipv4-country-num.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/asn-ipv4-country-num.csv)
- [asn-ipv6-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/asn-ipv6-country.csv)
- [asn-ipv6-country-num.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/asn-ipv6-country-num.csv)



## GeoFeed + IP-ASN database [Update: daily, License: [Public Domain](https://creativecommons.org/publicdomain/mark/1.0/)]

Created by merging GeoFeed database from [OpenGeoFeed](https://opengeofeed.org/) and [geofeeds.lacnic.net](https://geofeeds.lacnic.net/) to IP-ASN database.
Currently, GeoFeed database is small database, thus, it is almost same as IP-ASN database.
When GeoFeed database grow up, this database could add more information (city, geo-location,,,) and get more accuracy.

- [geo-asn-ipv4-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/geo-asn-ipv4-country.csv)
- [geo-asn-ipv4-country-num.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/geo-asn-ipv4-country-num.csv)
- [geo-asn-ipv6-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/geo-asn-ipv6-country.csv)
- [geo-asn-ipv6-country-num.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/geo-asn-ipv6-country-num.csv)



## DB-IP database [Update: monthly, License: [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/)]

Created from DB-IP ip-to-country-lite database which you could download and read the license from [ip-to-country-lite](https://db-ip.com/db/download/ip-to-country-lite).
The free IP to Country Lite database by [DB-IP](https://db-ip.com/) is licensed under a [Creative Commons Attribution 4.0 International License](https://creativecommons.org/licenses/by/4.0/).<br>
Thus, **you must create attribution to DB-IP.com for the data**.<br>
In the case of a web application, you must include a link back to DB-IP.com on pages that display or use results from the database. You may do it by pasting the HTML code snippet below into your code :
```html
<a href='https://db-ip.com/'>IP Geolocation by DB-IP</a>
```
If you need better accuracy, no attribution or daily updates, please use the [commercial version](https://db-ip.com/db/ip-to-country).


- [dbip-ipv4-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/dbip-ipv4-country.csv)
- [dbip-ipv4-country-num.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/dbip-ipv4-country-num.csv)
- [dbip-ipv6-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/dbip-ipv6-country.csv)
- [dbip-ipv6-country-num.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/dbip-ipv6-country-num.csv)



## DB-IP + IP-ASN database [Update: daily, License: [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/)]

Created from DB-IP ip-to-country-lite database which you could download and read the license from [ip-to-country-lite](https://db-ip.com/db/download/ip-to-country-lite) and merge it to IP-ASN database.
The free IP to Country Lite database by [DB-IP](https://db-ip.com/) is licensed under a [Creative Commons Attribution 4.0 International License](https://creativecommons.org/licenses/by/4.0/).<br>
Thus, **you must create attribution to DB-IP.com for the data**.<br>
In the case of a web application, you must include a link back to DB-IP.com on pages that display or use results from the database. You may do it by pasting the HTML code snippet below into your code :
```html
<a href='https://db-ip.com/'>IP Geolocation by DB-IP</a>
```
If you need better accuracy, no attribution or daily updates, please use the [commercial version](https://db-ip.com/db/ip-to-country).


- [dbip-asn-ipv4-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/dbip-asn-ipv4-country.csv)
- [dbip-asn-ipv4-country-num.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/dbip-asn-ipv4-country-num.csv)
- [dbip-asn-ipv6-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/dbip-asn-ipv6-country.csv)
- [dbip-asn-ipv6-country-num.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/dbip-asn-ipv6-country-num.csv)



## License

Files in `dist/*` have their **own license** as described above.<br>
Files other than `dist/*` are under MIT License.<br>
When you write the attribution to this project, I am glad if you make a link to [sapics/ip-location-db](https://github.com/sapics/ip-location-db).
